var id;
var charts = {};

function init(title, metrics) {
    document.title = title;
    metrics.forEach(function (elem) {
        //create div
        $("#display").append("<div id="+elem.enumName+" style=\"height: 300px; width:100%;\"></div>");
        charts[elem.enumName] = makeChart(elem.enumName, elem.enumName);
        charts[elem.enumName].render();
    });
}

function addData(data) {
    data.forEach(function (item) {
        var t = new Date(item.timestamp);
        delete item.timestamp;
        for (var key in item) {
            if (item.hasOwnProperty(key) && charts.hasOwnProperty(key)) {
                var chart = charts[key];
                chart.options.data[0].dataPoints.push({x: t, y: item[key]});
            }
        }
    });
    for (var key in charts) {
        charts[key].render();
    }
}